Bug 7856 - (int-142172) Recent Call entries are shown in conversations
(int-142172)
: Recent Call entries are shown in conversations
Status: CLOSED FIXED
Product: Chat & Call & SMS
Messaging
: 5.0/(1.2009.44-1)
: All Maemo
: Medium normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: rtcomm@maemo.org
: im-chat-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-12 18:03 UTC by amitkankani
Modified: 2010-03-15 20:52 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description amitkankani (reporter) 2010-01-12 18:03:39 UTC
SOFTWARE VERSION:
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM: 
(Explain in detail what you do (e.g. tap on OK) and what you see (e.g. message
Connection Failed appears))
1. Make a call or receive a call
2. close the phone application
3. open the conversations application

EXPECTED OUTCOME:

There should be no entries in the conversations related to Recent call logs in
the phone application

ACTUAL OUTCOME:

Recent Call entries are shown in conversations, which when deleted from the
recent call logs in the Phone application, then only gets removed from the
conversations application


REPRODUCIBILITY:
(always, less than 1/10, 5/10, 9/10)

less than 5/10 (appx 2-3/10)

EXTRA SOFTWARE INSTALLED:
None

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US)
AppleWebKit/532.0 (KHTML, like Gecko) Chrome/3.0.195.25 Safari/532.0
Comment 1 Andre Klapper maemo.org 2010-01-13 00:29:57 UTC
Thanks for reporting this!

This has been fixed in package
rtcom-eventlogger 1.1-2+0m5
which is part of the internal build version
2009.53-2
(Note: 2009 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 2 amitkankani (reporter) 2010-02-16 15:59:54 UTC
verified not to be happening in the latest firmware 3.2010.02-8
Comment 3 Andre Klapper maemo.org 2010-03-15 20:52:20 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).